LibreOffice: XGraphicStorageHandler Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XGraphicStorageHandler Interface Reference

interface for loading, saving and serializing of XGraphic objects to a document storage More...

Inheritance diagram for XGraphicStorageHandler:

## Public Member Functions
com::sun::star::graphic::XGraphic | loadGraphic ([in] string aURL)
| load a graphic defined by the URL from the storage
com::sun::star::graphic::XGraphic | loadGraphicFromOutputStream ([in] com::sun::star::io::XOutputStream xOutputStream)
| load a graphic from the output stream
string | saveGraphic ([in] com::sun::star::graphic::XGraphic xGraphic)
| save the graphic to the storage and return the URL reference to its location inside the storage
string | saveGraphicByName ([in] com::sun::star::graphic::XGraphic xGraphic, [out] string savedMimeType, [in] string aRequestedName)
| save the graphic to the storage with a requested name and return the URL reference to its location inside the storage and the mime type of the format that the graphic was saved to as an output parameter
com::sun::star::io::XInputStream | createInputStream ([in] com::sun::star::graphic::XGraphic xGraphic)
| create an input stream from the input graphic
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

interface for loading, saving and serializing of XGraphic objects to a document storage

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ createInputStream()

com::sun::star::io::XInputStream createInputStream | ( | [in] com::sun::star::graphic::XGraphic | xGraphic | ) |

create an input stream from the input graphic

## ◆ loadGraphic()

com::sun::star::graphic::XGraphic loadGraphic | ( | [in] string | aURL | ) |

load a graphic defined by the URL from the storage

## ◆ loadGraphicFromOutputStream()

com::sun::star::graphic::XGraphic loadGraphicFromOutputStream | ( | [in] com::sun::star::io::XOutputStream | xOutputStream | ) |

load a graphic from the output stream

## ◆ saveGraphic()

string saveGraphic | ( | [in] com::sun::star::graphic::XGraphic | xGraphic | ) |

save the graphic to the storage and return the URL reference to its location inside the storage

## ◆ saveGraphicByName()

string saveGraphicByName | ( | [in] com::sun::star::graphic::XGraphic | xGraphic,
|  | [out] string | savedMimeType,
|  | [in] string | aRequestedName
| ) |  |

save the graphic to the storage with a requested name and return the URL reference to its location inside the storage and the mime type of the format that the graphic was saved to as an output parameter

The documentation for this interface was generated from the following file:

- com/sun/star/document/XGraphicStorageHandler.idl